ATOMIC-OPENSHIFT-I(1)

NAME
atomic-openshift-installer - Interactive OpenShift Container Platform (OCP) installer

SYNOPSIS

atomic-openshift-installer [OPTIONS] COMMAND [OPTS]

DESCRIPTION

atomic-openshift-installer makes the process for installing OCP easier by interactively gathering the data needed to run on each host. It can also be run in unattended mode if provided with a configuration file.

OPTIONS

The following options are common to all commands.

-u, --unattended
    Run installer in unattended mode. You will not be prompted to answer any questions.

-c, --configuration PATH
    Provide an alternate PATH to an installer.cfg.yml file.

-a DIRECTORY, --ansible-playbook-directory DIRECTORY
    Manually set the DIRECTORY in which to look for Ansible playbooks.

--ansible-log-path PATH
    Specify the PATH of the directory in which to save Ansible logs.

-v, --verbose
    Run the installer with more verbosity.

-d, --debug
    Enable installer debugging. Logs are saved in /tmp/installer.txt.

-h, --help
    Show the usage help and exit.

COMMANDS

atomic-openshift-installer has four modes of operation:

    • install

    • uninstall

    • upgrade

    • scaleup

The options specific to each command are described in the following sections.

INSTALL

The install command will guide you through steps required to install an OCP cluster. After all of the required information has been collected (target hosts, storage options, high-availability), the installation will begin.

-f, --force
    Forces an installation. This means that hosts with existing installations will be reinstalled if required.

--gen-inventory
    Generate an Ansible inventory file and exit. The default location for the inventory file is ~/.config/openshift/hosts.

UNINSTALL

The uninstall command will uninstall OCP from your target hosts. This command has no additional options.

UPGRADE

The upgrade command will upgrade a cluster of hosts to a newer version of OCP.

-l, --latest-minor
    Upgrade to the latest minor version. For example, if you are running version 3.2.1 then this could upgrade you to 3.2.2.

-n, --next-major
    Upgrade to the latest major version. For example, if you are running version 3.2 then this could upgrade you to 3.3.

SCALEUP

The scaleup command is used to add new nodes to an existing cluster. This command has no additional options.

FILES

~/.config/openshift/installer.cfg.yml — Installer configuration file. Can be used to generate an inventory later or start an unattended installation.

~/.config/openshift/hosts — Generated Ansible inventory file. Used to run the Ansible playbooks for install, uninstall, and upgrades.

/tmp/ansible.log — The default location of the ansible log file.

/tmp/installer.txt — The location of the log file for debugging the installer.

AUTHOR

Red Hat OpenShift Productization team

For a complete list of contributors, please visit the GitHub charts page.

COPYRIGHT

Copyright © 2016 Red Hat, Inc.

atomic-openshift-installer is released under the terms of the ASL 2.0 license.

SEE ALSO

ansible(1), ansible-playbook(1)

The openshift-ansible GitHub Project — https://github.com/openshift/openshift-ansible/

The atomic-openshift-installer Documentation — https://docs.openshift.com/container-platform/3.3/install_config/install/quick_install.html